routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/* Route::get('/', function () {
    return view('welcome');
})->name('home'); */


Route::group(['middleware' => ['auth']], function(){
    Route::prefix('admin')->name('admin.')->namespace('Admin')->group(function(){

        Route::resource('cidades', CidadeController::class)->except(['show']);
        Route::resource('planos', PlanoController::class)->except(['show']);
        Route::resource('cobradores', CobradorController::class)->except(['show']);
        Route::resource('vendedores', VendedorController::class)->except(['show']);
        Route::resource('clientes', ClienteController::class);
        Route::resource('cobrancas', CobrancaController::class);
        Route::resource('vencimentos', VencimentoController::class);
        Route::resource('relatorios', RelatorioController::class);

    Route::get('admin/clientes/lista-clientes', 'ClienteController@lista_clientes')->name('clientes.lista-clientes');
    Route::get('admin/cobrancas/lista-aberto', 'CobrancaController@cobrancas_aberto')->name('cobrancas.cobranca-aberto');
    Route::get('admin/cobrancas/lista-recibo-aberto', 'CobrancaController@cobrancas_recibo_aberto')->name('cobrancas.cobranca-recibo-aberto');
    Route::get('admin/vendedores/relatorio', 'VendedorController@relatorio')->name('vendedores.relatorio');

        /* Route::prefix('clientes')->name('clientes.')->group(function(){

            Route::get('/', 'ClientController@index')->name('index');
            Route::get('/cadastro', 'ClientController@create')->name('create');
            Route::post('/store', 'ClientController@store')->name('store');
            Route::get('/{client}/editar', 'ClientController@edit')->name('edit');
            Route::post('/atualizar/{client}', 'ClientController@update')->name('update');
            Route::get('/excluir/{client}', 'ClientController@destroy')->name('destroy');

        });

        Route::prefix('vendedores')->name('vendedores.')->group(function(){
            Route::get('/', 'SellerController@index')->name('index');
            Route::get('/cadastro', 'SellerController@create')->name('create');
            Route::post('/store', 'SellerController@store')->name('store');
            Route::get('/{seller}/editar', 'SellerController@edit')->name('edit');
            Route::post('/atualizar/{seller}', 'SellerController@update')->name('update');
            Route::get('/excluir/{seller}', 'SellerController@destroy')->name('destroy');
        });

        Route::prefix('cobradores')->name('cobradores.')->group(function(){
            Route::get('/', 'CollectorController@index')->name('index');
            Route::get('/cadastro', 'CollectorController@create')->name('create');
            Route::post('/store', 'CollectorController@store')->name('store');
            Route::get('/{collector}/editar', 'CollectorController@edit')->name('edit');
            Route::post('/atualizar/{collector}', 'CollectorController@update')->name('update');
            Route::get('/excluir/{collector}', 'CollectorController@destroy')->name('destroy');
        });

        Route::prefix('planos')->name('planos.')->group(function(){
            Route::get('/', 'PlanController@index')->name('index');
            Route::get('/cadastro', 'PlanController@create')->name('create');
            Route::post('/store', 'PlanController@store')->name('store');
            Route::get('/{plan}/editar', 'PlanController@edit')->name('edit');
            Route::post('/atualizar/{plan}', 'PlanController@update')->name('update');
            Route::get('/excluir/{plan}', 'PlanController@destroy')->name('destroy');
        });

        Route::prefix('vencimentos')->name('vencimentos.')->group(function(){
            Route::get('/', 'DueDateController@index')->name('index');
            Route::get('/cadastro', 'DueDateController@create')->name('create');
            Route::post('/store', 'DueDateController@store')->name('store');
            Route::get('/{due_date}/editar', 'DueDateController@edit')->name('edit');
            Route::post('/atualizar/{due_date}', 'DueDateController@update')->name('update');
            Route::get('/excluir/{due_date}', 'DueDateController@destroy')->name('destroy');
        });

        Route::prefix('cobrancas')->name('cobrancas.')->group(function(){
            Route::get('/', 'ReceiveController@index')->name('index');
            Route::get('/cadastro', 'ReceiveController@create')->name('create');
            Route::post('/store', 'ReceiveController@store')->name('store');
            Route::get('/{due_date}/editar', 'ReceiveController@edit')->name('edit');
            Route::post('/atualizar/{due_date}', 'ReceiveController@update')->name('update');
            Route::get('/excluir/{due_date}', 'ReceiveController@destroy')->name('destroy');
        }); */

    });
});




Auth::routes();

Route::get('/', 'HomeController@index')->name('home');

app/Vencimento.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Vencimento extends Model
{
    protected $fillable = ['dia'];

    public function clientes()
    {
        return $this->hasMany(Cliente::class);
    }
}

app/Http/Controllers/Admin/VencimentoController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Vencimento;

class VencimentoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $vencimentos = Vencimento::all();

        return view('admin.vencimentos.index', compact('subtitulo', 'vencimentos'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $action = route('admin.vencimentos.store');
        return view('admin.vencimentos.form', compact('action'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        Vencimento::create($request->all());

        $request->session()->flash('sucesso', "Vencimento incluido com sucesso");
        return redirect()->route('admin.vencimentos.index');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $vencimento = Vencimento::find($id);
        $action = route('admin.vencimentos.update', $vencimento->id);
        return view('admin.vencimentos.form', compact('vencimento', 'action'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $vencimento = Vencimento::find($id);
        $vencimento->update($request->all());

        $request->session()->flash('sucesso', "Vencimento alterado com sucesso!");
        return redirect()->route('admin.vencimentos.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request, $id)
    {
        Vencimento::destroy($id);
        $request->session()->flash('sucesso', 'Vencimento excluído com sucesso');
        return redirect()->route('admin.vencimentos.index');
    }
}

resources/views/admin/vencimentos/form.blade.php
@extends('layouts.app')

@section('content')

    <section class="section">

        <form action="{{$action}}" method="POST">
            @csrf
            @isset($vencimento)
                @method('PUT')
            @endisset
            <div class="input-field col s12">
                <div class="for-group">
                    <label for="dia">Data</label>
                    <input type="text" name="dia" id="dia" value="{{old('dia', $vencimento->dia ?? '')}}">
                    @error('nome')
                        <span class="red-text text-accent-3"><small>{{$message}}</small></span>
                    @enderror
                </div>
            </div>
            <div class="right-align">
                <a href="{{route('admin.vencimentos.index')}}" class="btn-flat waves-effect">Cancelar</a>
                <button type="submit" class="btn waves-effect waves-light">Salvar</button>

            </div>

        </form>
    </section>
@endsection

resources/views/admin/vencimentos/index.blade.php
@extends('layouts.app')

@section('content')

    <section class="section">
        <table class="highlight">
            <thead>
                <tr>
                    <th>Vencimentos</th>
                    <th class="right-align">Opções</th>
                </tr>
            </thead>

            <tbody>
                @forelse ($vencimentos as $vencimento)
                    <tr>
                        <td>{{$vencimento->dia}}</td>
                        <td class="right-align">

                            <a href="{{route('admin.vencimentos.edit', $vencimento->id)}}">
                                <span>
                                    <i class="material-icons blue-text text-accent-2">edit</i>
                                </span>
                            </a>


                            <form action="{{route('admin.vencimentos.destroy', $vencimento->id)}}" method="POST" style="display: inline">
                                @csrf
                                @method('DELETE')

                                <button style="border:0;background:transparent;" type="submit">
                                    <span style="cursor: pointer">
                                        <i class="material-icons red-text text-accent-3">delete_forever</i>
                                    </span>
                                </button>
                            </form>
                        </td>
                    </tr>
                @empty
                    <tr>
                        <td colspan="2">Não há vencimentos cadastrados</td>
                    </tr>
                @endforelse
            </tbody>
        </table>

        <div class="fixed-action-btn">
            <a href="{{route('admin.vencimentos.create')}}" class="btn-floating btn-large waves-effect waves-light">
                <i class="large material-icons">add</i>
            </a>
        </div>
    </section>

@endsection